#include "TagDouble.h"

#include <QtEndian>
#include <QtCore/QDataStream>

TagDouble::TagDouble (const double value) : AbstractNamedTag(ID), m_value(value) {}

const double TagDouble::value () const {
    return m_value;
}

void TagDouble::readPayloadFromData (QDataStream &data) {
    data >> m_value;
    m_value = qFromBigEndian(m_value);
}
void TagDouble::writePayloadToData (QDataStream &data) const {
    data << qToBigEndian(m_value);
}