#include "TagInt.h"

#include <QtEndian>
#include <QtCore/QDataStream>

TagInt::TagInt (const qint32 value) : AbstractNamedTag(ID), m_value(value) {}

const qint32 TagInt::value () const {
    return m_value;
}

void TagInt::readPayloadFromData (QDataStream &data) {
    data >> m_value;
    m_value = qFromBigEndian(m_value);
}
void TagInt::writePayloadToData (QDataStream &data) const {
    data << qToBigEndian(m_value);
}